com.comtrade.ecm.engine.business.exceptions

## Class NonNullableException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.comtrade.ecm.engine.exceptions.EcmException
      - - com.comtrade.ecm.engine.exceptions.EcmSimpleException
        - - com.comtrade.ecm.engine.exceptions.ValidationException
          - - com.comtrade.ecm.engine.business.exceptions.BusinessEntityValidationException
            - - com.comtrade.ecm.engine.business.exceptions.NonNullableException

- All Implemented Interfaces:
    java.io.Serializable

      public class NonNullableException
      extends BusinessEntityValidationException

  Exception that occurs when some business entity attribute is `"nulled"`, but such situation is not permitted.
  A term `"nulled"` does not have to definitely mean "equal to NULL". At some occasions, it may be "an empty string", or "a blank string", or "equal to zero", depending on an attribyte type.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NonNullableException(java.lang.Class<?> clazz, java.lang.String attributeName)`
    `NonNullableException(EcmMessagePart message)`

  - ### Method Summary

    - ### Methods inherited from class com.comtrade.ecm.engine.exceptions.EcmSimpleException

      `addMessages, addMessages, clearMessages, getMessages, setMessages, setMessages, toString, toString, toUnlocalizedString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NonNullableException

          public NonNullableException(EcmMessagePart message)

    - #### NonNullableException

          public NonNullableException(java.lang.Class<?> clazz,
                                      java.lang.String attributeName)